# Uses of Interface
org.eclipse.birt.report.model.api.extension.IElementCommand

Packages that use IElementCommand
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.

## Uses of IElementCommand in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api with parameters of type IElementCommand
Modifier and Type
Method
Description
`void`
CommandStack.`execute(IElementCommand command)`
Executes the specified extended element command.

## Uses of IElementCommand in org.eclipse.birt.report.model.api.extension

Classes in org.eclipse.birt.report.model.api.extension that implement IElementCommand
Modifier and Type
Class
Description
`class`
`ElementCommand`
Extension adapter class for the IElementCommand.